## bitmap-mule 8.1

=== Makefile ===
#
# Makefile for bitmap-mule.
#

PACKAGE = bitmap-mule
API	= 8
RELEASE = 1

TAR	= tar
RM	= /bin/rm -f
CP	= /bin/cp -p

EMACS	= emacs
FLAGS   = -batch -q -no-site-file -l BITMAP-MK

PREFIX	= NONE
LISPDIR = NONE
VERSION_SPECIFIC_LISPDIR = NONE

GOMI	= *.elc \
	  *.cp *.cps *.ky *.kys *.fn *.fns *.vr *.vrs \
	  *.pg *.pgs *.tp *.tps *.toc *.aux *.log
FILES	= README.?? Makefile BITMAP-MK BITMAP-CFG BITMAP-ELS *.el \
	  etl8x16-bitmap.bdf ChangeLog

VERSION	= $(API).$(RELEASE)
ARC_DIR = /pub/elisp/bitmap

elc:
	$(EMACS) $(FLAGS) -f compile-bitmap $(PREFIX) $(LISPDIR) \
		$(VERSION_SPECIFIC_LISPDIR)

install:	elc
	$(EMACS) $(FLAGS) -f install-bitmap $(PREFIX) $(LISPDIR) \
		$(VERSION_SPECIFIC_LISPDIR)

clean:
	-$(RM) $(GOMI)

tar:
	cvs commit
	sh -c 'cvs tag -RF $(PACKAGE)-`echo $(VERSION) | tr . _`; \
	cd /tmp; \
	cvs -d :pserver:anonymous@chamonix.jaist.ac.jp:/hare/cvs/root \
		export -d $(PACKAGE)-$(VERSION) \
		-r $(PACKAGE)-`echo $(VERSION) | tr . _` \
		mu'
	cd /tmp; $(RM) $(PACKAGE)-$(VERSION)/ftp.in ; \
		$(TAR) cvzf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	cd /tmp; $(RM) -r $(PACKAGE)-$(VERSION)
	sed -e "s/VERSION/$(VERSION)/" -e "s/API/$(API)/" \
		-e "s/PACKAGE/$(PACKAGE)/" < ftp.in > ftp

invoice:
	sed -e "s/VERSION/$(VERSION)/" -e "s/API/$(API)/" \
		-e "s/PACKAGE/$(PACKAGE)/" < ftp.in > ftp

release:
	-$(RM) $(ARC_DIR)/$(PACKAGE)-$(VERSION).tar.gz
	mv /tmp/$(PACKAGE)-$(VERSION).tar.gz $(ARC_DIR)

=== font/Makefile ===
FONTDIR = /usr/X11R6/lib/X11/fonts/misc

PCFS = etl6x12-bitmap.pcf etl7x14-bitmap.pcf \
	etl8x16-bitmap.pcf etl12x24-bitmap.pcf

all: bdf $(PCFS)

clean::
	rm -f $(PCFS)

install: all
	for f in $(PCFS); do \
	  install -m 644 $$f $(FONTDIR); \
	  gzip -f $(FONTDIR)/$$f; \
	done
	(cd $(FONTDIR); mkfontdir)
	xset fp rehash

install-nogzip: all
	for f in $(PCFS); do \
	  install -m 644 $$f $(FONTDIR); \
	done
	(cd $(FONTDIR); mkfontdir)
	xset fp rehash

bdf: etl6x12-bitmap.bdf etl7x14-bitmap.bdf etl12x24-bitmap.bdf

etl6x12-bitmap.bdf: etl8x16-bitmap.bdf
	bdfresize -f 12/16 etl8x16-bitmap.bdf \
	  | sed "s/8x16/6x12/g" > etl6x12-bitmap.bdf

etl7x14-bitmap.bdf: etl8x16-bitmap.bdf
	bdfresize -f 14/16 etl8x16-bitmap.bdf \
	  | sed "s/8x16/7x14/g" > etl7x14-bitmap.bdf

etl12x24-bitmap.bdf: etl8x16-bitmap.bdf
	bdfresize -f 24/16 etl8x16-bitmap.bdf \
	  | sed "s/8x16/12x24/g" > etl12x24-bitmap.bdf

%.pcf: %.bdf
	bdftopcf $< > $@

## bitmap-mule 8.5%2B0.20030825.0433

=== debian/changelog ===
bitmap-mule (8.5+0.20030825.0433-16) unstable; urgency=medium

  * Do not save timestamps to *.pcf.gz files (closes: #777293)
  * Update debian/copyright
  * Update Vcs-Browser
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 28 Apr 2015 19:45:59 +0900

bitmap-mule (8.5+0.20030825.0433-15) unstable; urgency=medium

  * Depend on emacsen-common 2.0.8
  * Use debian-emacs-flavor instead of flavor in emacsen-startup
  * Install a compat file with emacsen-compat

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Aug 2014 19:22:26 +0900

bitmap-mule (8.5+0.20030825.0433-14) unstable; urgency=medium

  * Do not fail when apel is not yet configured
  * Do not load bitmap in emacsen-startup for Emacs >=21
  * Install a compat file for emacsen-common 2.0.0
  * Handle an installed file to follow emacsen-common 2.0.7
  * Add emacsen-common (<< 2.0.0) to Conflicts
  * Update debian/copyright
  * Update Standards-Version to 3.9.5
  * Add Vcs-Git and Vcs-Browser

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 01 Feb 2014 22:33:00 +0900

bitmap-mule (8.5+0.20030825.0433-13) unstable; urgency=low

  * debian/control: Add emacs24 to Depends (closes: #679943)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Jul 2012 08:25:22 +0900

bitmap-mule (8.5+0.20030825.0433-12) unstable; urgency=low

  * debian/emacsen-install: Create relative symlinks.
  * debian/emacsen-install, debian/emacsen-remove: Rewritten.
  * debian/rules: Remove handling of emacsen-install.in.
  * debian/patches/*.patch: Typo fix.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 29 Apr 2012 14:08:44 +0900

bitmap-mule (8.5+0.20030825.0433-11) unstable; urgency=low

  * debian/rules, debian/patches/020_po.patch, debian/emacsen-install.in:
    Rename po.el to bm-po.el to avoid a name clash. (closes: #670352)
  * debian/control:
    - Add eamcs23 to Depends. (closes: #598596)
    - Set Section to "fonts" for xfonts-bitmap-mule.
    - Add ${misc:Depends} to Depends.
    - Update Standards-Version to 3.9.3.
  * debian/rules: New targets build-arch and build-indep.
  * debian/copyright: Switch to copyright-format-1.0.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 28 Apr 2012 00:11:13 +0900

bitmap-mule (8.5+0.20030825.0433-10) unstable; urgency=high

  * debian/control: Add "make" to Depends to fix installation failure.
    (closes: #603075) 

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 13 Nov 2010 09:49:01 +0900

bitmap-mule (8.5+0.20030825.0433-9) unstable; urgency=low

  * bitmap-ci.el: Check update-coding-systems-internal for Emacs 23.
    (closes: #477177)
  * debian/control:
    - Move `Homepage:' from Description to the header.
    - Build-Depends: debhelper (>= 6).
  * debian/compat: 5 -> 6.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 23 Apr 2008 23:01:27 +0900

bitmap-mule (8.5+0.20030825.0433-8) unstable; urgency=low

  * debian/emacsen-startup, debian/emacsen-install.in: Add comment for
    emacs22.
  * debian/control: Set Standards-Version to 3.7.3.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 08 Dec 2007 07:19:26 +0900

bitmap-mule (8.5+0.20030825.0433-7) unstable; urgency=low

  * debian/control:
    - Prefer emacs to emacs21.
    - Add emacs22 to Depends.
    - Remove emacs-snapshot from Depends.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jul 2007 21:16:37 +0900

bitmap-mule (8.5+0.20030825.0433-6) unstable; urgency=low

  * debian/emacsen-install.in: Don't install po.el for emacs22 and later,
    which conflicts with lisp/textmodes/po.el.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 30 Apr 2007 22:30:08 +0900

bitmap-mule (8.5+0.20030825.0433-5) unstable; urgency=low

  * debian/rules (Depends):
    - Add `emacs-snapshot'. (closes: #403160)
    - Remove redundant version of apel.
  * debian/rules: Set FONTS_DIR to `/usr/share/fonts/X11/misc' and use it.
  * xfonts-bitmap-mule.dirs: Removed.
  * debian/control: Add `Homepage:' to Description.
  * debian/watch: Set Action to uupdate.
  * debian/copyright:
    - Update copyright years.
    - Mention Debian packaging conditions.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Apr 2007 20:56:26 +0900

bitmap-mule (8.5+0.20030825.0433-4) unstable; urgency=low

  * debian/control (Build-Depends-Indep): Add `xfonts-utils' and remove
    `xbase-clients, xutils'.  It's enough to use `bdftopcf'.
  * debian/control (xfonts-bitmap-mule): Add `Depends: ${misc:Depends}' and
    remove `Conflicts: xbase-clients (<< 4.0)'.
  * debian/watch: Use HTTP instead of FTP.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 11 Jun 2006 17:40:41 +0900

bitmap-mule (8.5+0.20030825.0433-3) unstable; urgency=low

  * debian/rules: Migrate font location from `/usr/X11R6/lib/X11/fonts' to
    `/usr/share/fonts/X11'. (closes: #362340)
  * debian/xfonts-bitmap-mule.dirs: Ditto.
  * debian/control (Build-Depends): Depend on debhelper version 5.0.31, which
    supports the new font location.
  * debian/compat: 3 -> 5.
  * debian/control (Standards-Version): 3.6.1 -> 3.7.2
  * debian/control (Maintainer): tats@vega.ocn.ne.jp -> tats@debian.org.
  * debian/copyright: Update the postal address of the Free Software
    Foundation, etc.
  * debian/emacsen-install.in: Ready for emacsen flavors sxemacs*.
  * debian/control: Revise short description.
  * debian/watch: New file.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun,  4 Jun 2006 20:35:38 +0900

bitmap-mule (8.5+0.20030825.0433-2) unstable; urgency=low

  * debian/control (Depends): Remove `emacs20'. (closes: #232746)
  * debian/control (Build-Depends-Indep): Remove `emacs20'. (closes: #232732)
  * debian/emacsen-install.in: Create *.el symlinks.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sun, 23 May 2004 01:20:22 +0900

bitmap-mule (8.5+0.20030825.0433-1) unstable; urgency=low

  * New upstream release. (snapshots/bitmap-mule-200308250433.tar.gz)
    - gnus-bitmap.el (gnus-treat-display-x-face): Bind it when
      compiling.


## bitmap-mule 8.5+0.20030825.0433

=== Makefile ===
#
# Makefile for BITMAP-MULE.
#

PACKAGE	= bitmap-mule
API	= 8
RELEASE	= 5
BITMAP_FONTS	= bitmap-fonts-1.0

TAR	= tar
RM	= /bin/rm -f
CP	= /bin/cp -p
MKDIR	= /bin/mkdir

EMACS	= emacs
FLAGS	= -batch -q -no-site-file -l BITMAP-MK

PREFIX	= NONE
LISPDIR	= NONE
VERSION_SPECIFIC_LISPDIR	= NONE

GOMI	= *.elc \
	  *.cp *.cps *.ky *.kys *.fn *.fns *.vr *.vrs \
	  *.pg *.pgs *.tp *.tps *.toc *.aux *.log

VERSION	= $(API).$(RELEASE)
ARC_DIR	= /pub/elisp/bitmap

elc:
	$(EMACS) $(FLAGS) -f compile-bitmap $(PREFIX) $(LISPDIR) \
		$(VERSION_SPECIFIC_LISPDIR)

install:	elc
	$(EMACS) $(FLAGS) -f install-bitmap $(PREFIX) $(LISPDIR) \
		$(VERSION_SPECIFIC_LISPDIR)

clean:
	-$(RM) $(GOMI)

tar:
#	cvs commit
#	sh -c 'cvs tag -RF $(PACKAGE)-`echo $(VERSION) | tr . _`; \
#	cd /tmp; \
#	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/root \
#		export -d $(PACKAGE)-$(VERSION) \
#		-r $(PACKAGE)-`echo $(VERSION) | tr . _` \
#		bitmap-mule'
	$(RM) -r /tmp/$(PACKAGE)-$(VERSION); \
		$(MKDIR) /tmp/$(PACKAGE)-$(VERSION); \
		$(TAR) cf - . | $(TAR) xf - -C /tmp/$(PACKAGE)-$(VERSION); \
		cd /tmp/$(PACKAGE)-$(VERSION); \
		$(RM) -r CVS font/CVS
	cd /tmp; $(RM) $(PACKAGE)-$(VERSION)/ftp.in; \
		GZIP=-9; export GZIP; \
		$(TAR) czf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	cd /tmp; cd $(PACKAGE)-$(VERSION)/font; \
		make bdf; \
		GZIP=-9; export GZIP; \
		$(TAR) czf /tmp/$(BITMAP_FONTS).tar.gz *.bdf
	cd /tmp; $(RM) -r $(PACKAGE)-$(VERSION)
	sed -e "s/VERSION/$(VERSION)/" -e "s/API/$(API)/" \
		-e "s/PACKAGE/$(PACKAGE)/" < ftp.in

invoice:
	sed -e "s/VERSION/$(VERSION)/" -e "s/API/$(API)/" \
		-e "s/PACKAGE/$(PACKAGE)/" < ftp.in

release:
	-$(RM) $(ARC_DIR)/$(PACKAGE)-$(VERSION).tar.gz
	mv /tmp/$(PACKAGE)-$(VERSION).tar.gz $(ARC_DIR)

=== font/Makefile ===
FONTDIR = /usr/X11R6/lib/X11/fonts/misc

EMACS = emacs

PCFS = bitmap12.pcf bitmap14.pcf \
	bitmap16.pcf bitmap20.pcf bitmap24.pcf

all: bdf $(PCFS)

clean::
	rm -f $(PCFS)

install: all
	for f in $(PCFS); do \
	  install -m 644 $$f $(FONTDIR); \
	  gzip -f $(FONTDIR)/$$f; \
	done
	(cd $(FONTDIR); mkfontdir)
	xset fp rehash

install-nogzip: all
	for f in $(PCFS); do \
	  install -m 644 $$f $(FONTDIR); \
	done
	(cd $(FONTDIR); mkfontdir)
	xset fp rehash

bdf: bitmap16.bdf bitmap12.bdf bitmap14.bdf bitmap20.bdf bitmap24.bdf

bitmap16.bdf:
	$(EMACS) -batch -q -no-site-file \
	  -l bitmap16.el -f generate-bitmap-bdf-font

bitmap12.bdf: bitmap16.bdf
	bdfresize -f 12/16 bitmap16.bdf | sed "s/8x16/6x12/g" > bitmap12.bdf

bitmap14.bdf: bitmap16.bdf
	bdfresize -f 14/16 bitmap16.bdf | sed "s/8x16/7x14/g" > bitmap14.bdf

bitmap20.bdf: bitmap16.bdf
	bdfresize -f 20/16 bitmap16.bdf | sed "s/8x16/10x20/g" > bitmap20.bdf

bitmap24.bdf: bitmap16.bdf
	bdfresize -f 24/16 bitmap16.bdf | sed "s/8x16/12x24/g" > bitmap24.bdf

%.pcf: %.bdf
	bdftopcf $< > $@

=== debian/control ===
Source: bitmap-mule
Section: editors
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 6)
Build-Depends-Indep: xfonts-utils, bdfresize, emacs
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/bitmap-mule.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/bitmap-mule.git
Homepage: http://www.jpl.org/elips/bitmap/

Package: bitmap-mule
Architecture: all
Depends: emacsen-common (>= 2.0.8), emacs | emacs24 | emacs23 | emacs22 | emacs21, apel, make, ${misc:Depends}
Recommends: xfonts-bitmap-mule
Suggests: compface, x-face-el
Description: bitmap handler for GNU Emacs
 BITMAP-MULE is a package to use bitmap in MULE (XEmacs is not supported).
 .
 BITMAP-MULE has following modules:
 .
  - bitmap.el:       kernel of BITMAP-MULE
  - bitmap-bi.el:    functions for Emacs 20.2 or earlier
  - bitmap-ci.el:    functions for Emacs 20.3 or later
  - bm-utils.el:     utility functions.
  - po.el:           tiny BDF font editor
  - smiley-mule.el:  smiley faces encoder/decoder
  - x-face-mule.el:  inline X-Face decoder
  - x-face-18.el:    X-Face decoder for Emacs 18
  - gnus-bitmap.el:  Gnus/gnus related functions
  - vm-bitmap.el:    VM related functions

Package: xfonts-bitmap-mule
Section: fonts
Architecture: all
Depends: ${misc:Depends}
Suggests: xfs, xserver, bitmap-mule
Conflicts: bitmap-font
Replaces: bitmap-font
Description: fonts of BITMAP-MULE for X
 This package contains some bitmap fonts for X.
 .
  - bitmap12 (6x12)
  - bitmap14 (7x14)
  - bitmap16 (8x16)
  - bitmap20 (10x20)
  - bitmap24 (12x24)
 .
 These fonts are generated by BITMAP-MULE.
 .
 BITMAP-MULE is a bitmap handler for GNU Emacs.  If you want to use
 BITMAP-MULE, install the bitmap-mule package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

FONTS_DIR=/usr/share/fonts/X11/misc

build: build-arch build-indep

build-arch:

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	cd font && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp

	cd font && $(MAKE) clean
	rm -f font/*.bdf

	dh_clean

install: install-arch install-indep

install-indep: DH_OPTIONS=-i
install-indep: 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cp Makefile *.el BITMAP-* debian/bitmap-mule/usr/share/emacs/site-lisp/bitmap-mule
	mv debian/bitmap-mule/usr/share/emacs/site-lisp/bitmap-mule/po.el debian/bitmap-mule/usr/share/emacs/site-lisp/bitmap-mule/bm-po.el
	cp *.xbm debian/bitmap-mule/usr/share/pixmaps/bitmap-mule

	install -d $(CURDIR)/debian/xfonts-bitmap-mule$(FONTS_DIR)
	cp font/*.pcf debian/xfonts-bitmap-mule$(FONTS_DIR)
	gzip -9n debian/xfonts-bitmap-mule$(FONTS_DIR)/*.pcf

	touch install-stamp

install-arch: DH_OPTIONS=-a
install-arch: 

binary-indep: DH_OPTIONS=-i
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installdocs -pbitmap-mule -pxfonts-bitmap-mule
	dh_installemacsen -pbitmap-mule --priority 65
	dh_installchangelogs -pbitmap-mule -pxfonts-bitmap-mule ChangeLog
	dh_installxfonts -pxfonts-bitmap-mule
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS=-a
binary-arch: build-arch install-arch

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install-indep install-arch install

=== debian/watch ===
version=3
http://www.jpl.org/elips/bitmap/ bitmap-mule-([0-9]+\..*)\.tar\.gz debian uupdate
